=== debian/changelog ===
hyprwire (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1118694)

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 05 Dec 2025 23:08:43 +0800
