=== debian/changelog ===
hyprwire (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1
  * bump SOVERSION for libhyprwire
  * update autopkgtest suite:
    - append expected strings
    - make sure client has exited

 -- Carl Keinath <carl.keinath@gmail.com>  Sun, 07 Dec 2025 13:13:17 +0100
