## hyprwire 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,7 +63,7 @@
   PUBLIC "./include"
   PRIVATE "./src" "${CMAKE_BINARY_DIR}")
 set_target_properties(hyprwire PROPERTIES VERSION ${HYPRWIRE_VERSION} SOVERSION
-                                                                      2)
+                                                                      3)
 target_link_libraries(hyprwire PkgConfig::deps)
 
 check_include_file("sys/timerfd.h" HAS_TIMERFD)
@@ -127,6 +127,12 @@
                         "tests/generated/test_protocol_v1-server.cpp")
   target_link_libraries(server PRIVATE PkgConfig::deps hyprwire)
   add_dependencies(tests server)
+
+  add_executable(fork "${CMAKE_SOURCE_DIR}/tests/Fork.cpp"
+                        "tests/generated/test_protocol_v1-client.cpp"
+                        "tests/generated/test_protocol_v1-server.cpp")
+  target_link_libraries(fork PRIVATE PkgConfig::deps hyprwire)
+  add_dependencies(tests fork)
 else()
   message(STATUS "building tests is disabled")
 endif()
