=== debian/changelog ===
hyprwire (0.3.0-3) unstable; urgency=medium

  * d/patches: write full 32-bit object id in resolveSeq

 -- Carl Keinath <carl.keinath@gmail.com>  Sun, 15 Feb 2026 17:09:13 +0100

hyprwire (0.3.0-2) unstable; urgency=medium

  * Fix autopkgtest on slow architectures

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Feb 2026 13:34:59 +0800

hyprwire (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Rename library for soname bump

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Feb 2026 11:40:50 +0800
