=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprwire2 (= ${binary:Version}),
+ libhyprwire3 (= ${binary:Version}),
  ${misc:Depends},
 Description: Fast and consistent wire protocol for IPC -- development files
  Hyprwire is a fast and consistent wire protocol, and its implementation. This
@@ -42,7 +42,7 @@
  This package contains the headers and other development support files needed
  for compiling and linking applications and libraries which use this library.
 
-Package: libhyprwire2
+Package: libhyprwire3
 Architecture: any
 Multi-Arch: same
 Depends:
