=== debian/watch ===
Version: 5

Template: GitHub
Owner: hyprwm
Project: hyprwire
